Chrono Edit Lora Gallery · Upscaler
انٹیگریٹ کریں
chrono-edit-lora-gallery/upscaler
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora-gallery/upscaler?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/chrono-edit-lora-gallery/upscaler?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/chrono-edit-lora-gallery/upscaler", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ur/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "chrono-edit-lora-gallery/upscaler",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong API کے ذریعے Chrono Edit Lora Gallery · Upscaler ماڈل (chrono-edit-lora-gallery/upscaler) کو کال کریں۔ ایجنٹس کے لیے دستاویزات: https://doitong.com/ur/developers/models/chrono-edit-lora-gallery/upscaler.md
POST https://api.doitong.com/v1/run/chrono-edit-lora-gallery/upscaler?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
اگر جواب کی اسٹیٹس "queued" یا "running" ہو تو GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 کو اس وقت تک پول کریں جب تک یہ "succeeded" نہ ہو جائے؛ فائلیں outputs[].url میں ہیں۔ رن سے پہلے درست قیمت حاصل کرنے کے لیے اسی باڈی کے ساتھ POST https://api.doitong.com/v1/quote/chrono-edit-lora-gallery/upscaler کریں۔
یہ درخواست: $0.03 30 API کریڈٹس اس صفحے پر چلائیں
آپ کی نئی API کلید۔ یہ صرف ابھی دکھائی جاتی ہے اور پہلے ہی نیچے موجود کوڈ اور API کلید کے فیلڈ میں شامل ہے۔ اسے خفیہ رکھیں: اسے کبھی بھی ایسے کوڈ میں شامل نہ کریں جو براؤزر میں چلتا ہو۔
آپ کا پہلا نتیجہ یہاں آئے گا
ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔
درخواست بنائیں
کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔
/run/chrono-edit-lora-gallery/upscaler?wait=20
قیمت → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora-gallery/upscaler?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/chrono-edit-lora-gallery/upscaler?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/chrono-edit-lora-gallery/upscaler", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "chrono-edit-lora-gallery/upscaler",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
یہ درخواست چلائیں
آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں
Chrono Edit Lora Gallery · Upscaler کے بارے میں
پرامپٹ کے بغیر تصویر کو بڑا اور صاف کرتا ہے۔ `upscale_factor` کی حد 1 سے 4 اور ڈیفالٹ 2 ہے۔ `num_inference_steps` کی حد 2 سے 50 اور ڈیفالٹ 30 ہے، جبکہ `lora_scale` کی حد 0 سے 2 ہے۔ آؤٹ پٹ jpeg، png یا webp ہو سکتا ہے، اور زیادہ سے زیادہ 3 اضافی LoRAs ضم کیے جا سکتے ہیں۔
پیرامیٹرز
معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام
image_urlلازمی
image
upscale_factorاختیاری
guidance_scaleاختیاری
enable_safety_checkerاختیاری
num_inference_stepsاختیاری
lora_scaleاختیاری
seedاختیاری
output_formatاختیاری
lorasاختیاری
loras[].pathلازمی
loras[].scaleاختیاری
فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں
آؤٹ پٹ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "chrono-edit-lora-gallery/upscaler",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 30,
"usd": "0.03",
"charged": 30,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"prompt": "The user wants to add a surfer to the wave in the illustration while preserving the original ukiyo-e woodblock art style. The surfer should be depicted mid-action, crouched low on a modern-style surfboard, carving through the crest of the wave with one arm extended for balance and the other gripping the board. Their wavy hair and athletic physique should match the dynamic motion. The background must remain unchanged, including the iconic Mount Fuji and the traditional Japanese text, to maintain the artwork's historical aesthetic and composition.",
"seed": 42
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
آؤٹ پٹ کے فیلڈز
- images
- array of object {url, content_type, file_name, file_size, width, height}ترمیم سے حاصل ہونے والی تصویر۔
- prompt
- stringاستنباط کے عمل کو دیا جانے والا پرامپٹ۔
- seed
- integerاستنباط کے دوران استعمال ہونے والا seed۔
دیگر Chrono Edit Lora Gallery ورژنز
مزید ماڈلز: ریزولوشن بڑھانا
AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/chrono-edit-lora-gallery/upscaler.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt